#!/bin/sh
# simple acceptance tests for CORBA connect (ruslan)

JAVA=java
JSSH=javax.javascript.examples.Shell

succeded=0
failed=0

for script in *.js
do
    result=`${JAVA} ${JSSH} $script | grep PASSED | wc | awk '{ print $1 }'`
    if [ "$result" = "0" ]
    then
    	failed=`expr $failed + 1`
	echo "Test $script FAILED"
    else
        succeded=`expr $succeded + 1`
    fi
done

echo -n "Acceptance test result: "
if [ "$failed" = "0" ]
then
	echo "ALL TESTS PASSED"
else
	echo "$failed tests FAILED and only $succeded tests PASSED"
fi
